Get market
Morpho Blue market configuration: loan and collateral tokens, oracle, IRM, and liquidation LTV. Values are immutable for the lifetime of the market.
Path Parameters
market-selector*string
Selector formatted as <chain_id>:<market_id>. Example: 1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342.
Format
<chain_id>:<market_id>Response Body
application/json
curl -X GET "https://example.com/v0/blue/markets/1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342"{ "data": { "chain_id": 1, "collateral_token": "string", "creation_block_number": "string", "irm_address": "string", "lltv_wad": "string", "loan_token": "string", "market_id": "string", "oracle_address": "string" }}GETList markets
Cursor-paginated discovery list of indexed Morpho Blue markets. Rows and both sort orders use immutable market configuration from the indexer.
GETGet market APY averages
Average supply and borrow APYs for a Morpho Blue market over fixed historical windows on the v0 REST API. Values exclude rewards.